#include "MainComponent.h"

//==============================================================================
MainComponent::MainComponent()
{
    ResizableImage::ImageInsets topInset(64, 64, 64, 0);
    auto topImage = juce::ImageFileFormat::loadFrom(BinaryData::DropDownHeaderTop_png, BinaryData::DropDownHeaderTop_pngSize);
    int iTotalItems = 5;
    while(iTotalItems > 0)
    {
        ResizableImageLabel* pTestLabel = new ResizableImageLabel("Test-" + String(iTotalItems));
        pTestLabel->_backgroundImage.setImage(topImage, topInset);
        addAndMakeVisible(pTestLabel);
        _testLabelArray.add(pTestLabel);
        iTotalItems--;
    }
    setSize (600, 400);
}

MainComponent::~MainComponent()
{
}

//==============================================================================
void MainComponent::paint (juce::Graphics& g)
{
    // (Our component is opaque, so we must completely fill the background with a solid colour)
    g.fillAll (getLookAndFeel().findColour (juce::ResizableWindow::backgroundColourId));

    g.setFont (juce::Font (16.0f));
    g.setColour (juce::Colours::white);
    g.drawText ("Hello World!", getLocalBounds(), juce::Justification::centred, true);
}

void MainComponent::resized()
{
    // This is called when the MainComponent is resized.
    // If you add any child components, this is where you should
    // update their positions.
    int iX = 50;
    const int kiLabelWidth = 100;
    const int kiGap = 5;
    for(auto eachItem : _testLabelArray)
    {
        eachItem->setBounds(iX, 50, kiLabelWidth, 100);
        iX += kiLabelWidth + kiGap;
    }
}
